NNG_HTTP_RES_RESET(3http)

NAME
nng_http_res_reset - reset HTTP response structure

SYNOPSIS

    #include <nng/nng.h>
    #include <nng/supplemental/http/http.h>
    void nng_http_res_reset(nng_http_res *res);

DESCRIPTION

The nng_http_res_reset() function resets the response res so that it is just as if it had been freshly allocated with nng_http_res_alloc().

RETURN VALUES

None.

ERRORS

None.

SEE ALSO

nng_http_res_alloc(3http), nng(7)